### Target-specific definitions for compiling Maria -*- makefile -*-
### Darwin 6.0 with Apple cc (GCC) 3.1 20020420 (prerelease)

## The GNU Readline library (if enabled, check also the directories)
HAS_READLINE = yes
#HAS_READLINE =
LIBREADLINE = $(HAS_READLINE:yes=-lreadline -lncurses)
INCREADLINE = $(HAS_READLINE:yes=-DHAS_READLINE)

## Support for compiled expressions
EXPR_COMPILE = yes
#EXPR_COMPILE =

CXX = cc
CC = cc
EXTRA_INCLUDES = -I/sw/include
EXTRA_LIBS = -lstdc++ -L/sw/lib $(EXPR_COMPILE:yes=-ldl)

DEFINES = -DHAS_REGEX
CFLAGS = -O3 -fomit-frame-pointer
CXXFLAGS = $(CFLAGS) -Iport -fno-exceptions -fno-rtti

all: real-all

include Makefile
